body {
    margin: 0;
    padding: 0;
    overflow: auto;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    -webkit-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    -moz-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    -o-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.hide {
    display: none;
}

.dropbtn {
    padding: 1.6vw;
    font-size: 6vw;
    border: none;
    cursor: pointer;
    width: 100%;
    background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    -webkit-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    -moz-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    -o-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;
    transition: background-color 1s ease;
}

.dropdown {
    position: relative;
    display: inline-block;
    width: 100%;
    margin-bottom: 2vw;
}

.dropdown-content {
    display: none;
    position: absolute;
    right: 0;
    background-color: #f9f9f9;
    min-width: 16vw;
    box-shadow: 0 0.8vw 1.6vw 0 rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 1.2vw 1.6vw;
    font-size: 6vw;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {background-color: lightgrey;}
.dropdown:hover .dropdown-content {display: block;}
.dropdown:hover .dropbtn {background-color: black;background-image: none;color: white;}

#logging-in-form {
    width: 100%;
    text-align: center;
}

.linia-przyciskow {
    display: inline-block;
    width: 100%; /*przyciski pod sobą*/
    margin: 1vw;
}

a:visited{
    color: black;
    text-decoration: none;
}

#main{
    text-align: center;
    margin: auto;
    max-width: 80%;
}

#main * {
    margin: 1.5% auto 1.5% auto;
}

#main:not(input[type=password]), form label{
    font-size: 5vw;
}

#main button, #main input[type=submit]{
    transition: background-color 1s ease;
    border: solid 1px black;
    padding: 1vw;
    cursor: pointer;
}

#main button:hover, input[type=submit]:hover{
    background-color: black;
    color: white;
    border: 0.1vw solid black;
}

#main select, #main button, #main input[type=password], #main input[type=submit]{
    border-radius: 10px;
    font-size: 5vw;
}

#main select{
    transition: background-color 1s ease;
}

#main select:hover{
    background-color: black;
    color: white;
}
textarea {
    margin: 1vw;
    border: 0.3vw solid black;
    overflow: auto;
    height: 20em;
    width: 95%;
    outline: none;
    align-content: center;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    text-align: left;
    font-size: 5vw;
    resize: none; /*remove the resize handle on the bottom right*/
}

a:not(:visited){
    color: black;
}

#main a{
    font-size: 5vw;
}

#main .hint, #main .hint a {
    font-size: 2vw;
}

#main .list-border {
    border: red dashed 0.3vw;
    background-color: white;
    text-align: left;
    padding: 1vw;
    -webkit-user-select: text;
    -khtml-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    -o-user-select: text;
    user-select: text;
    overflow-wrap: break-word;
    hyphens: manual;
}

@media (pointer:fine) and (orientation: landscape){
    body {
        margin: 0;
        padding: 0;
        overflow: auto;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        -o-user-select: none;
        user-select: none;
        background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        -webkit-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        -moz-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        -o-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        background-repeat: no-repeat;
        background-attachment: fixed;
    }

    .dropbtn {
        padding: 0.8vw;
        font-size: 3vw;
        border: none;
        cursor: pointer;
        width: 100%;
        background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        -webkit-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        -moz-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        -o-background-image: url("https://wallpapercave.com/wp/6MVCpzg.jpg");
        background-repeat: no-repeat;
        background-attachment: fixed;
        transition: background-color 1s ease;
    }

    .dropdown {
        position: relative;
        display: inline-block;
        width: 100%;
        margin-bottom: 1vw;
    }

    .dropdown-content {
        display: none;
        position: absolute;
        right: 0;
        background-color: #f9f9f9;
        min-width: 8vw;
        box-shadow: 0 0.4vw 0.8vw 0 rgba(0,0,0,0.2);
        z-index: 1;
    }

    .dropdown-content a {
        color: black;
        padding: 0.6vw 0.8vw;
        font-size: 3vw;
        text-decoration: none;
        display: block;
    }

    .dropdown-content a:hover {background-color: lightgrey;}
    .dropdown:hover .dropdown-content {display: block;}
    .dropdown:hover .dropbtn {background-color: black;background-image: none;color: white;}

    #logging-in-form {
        width: 100%;
        text-align: center;
    }

    .linia-przyciskow {
        display: inline-block;
        width: 100%; /*przyciski pod sobą*/
        margin: 1vw;
    }

    a:visited{
        color: black;
        text-decoration: none;
    }

    #main{
        text-align: center;
        margin: auto;
        max-width: 60%;
    }

    #main * {
        margin: 1.5% auto 1.5% auto;
    }

    #main:not(input[type=password]), form label{
        font-size: 2.5vw;
    }

    #main button, #main input[type=submit]{
        transition: background-color 1s ease;
        border: solid 0.1vw black;
        padding: 1vw;
        cursor: pointer;
    }

    #main button:hover, input[type=submit]:hover{
        background-color: black;
        color: white;
        border: 0.1vw solid black;
    }

    #main select, #main button, #main input[type=password], #main input[type=submit]{
        border-radius: 10px;
        font-size: 1.5vw;
    }

    #main select{
        transition: background-color 1s ease;
    }

    #main select:hover{
        background-color: black;
        color: white;
    }

    textarea {
        margin: 1vw;
        border: 0.15vw solid black;
        overflow: auto;
        height: 20em;
        width: 95%;
        outline: none;
        align-content: center;
        -webkit-box-shadow: none;
        -moz-box-shadow: none;
        box-shadow: none;
        text-align: left;
        font-size: 2vw;
        resize: none; /*remove the resize handle on the bottom right*/
    }

    a:not(:visited){
        color: black;
    }

    #main a{
        font-size: 2.6vw;
    }

    #main .hint, #main .hint a {
        font-size: 1vw;
    }

    #main .list-border {
        border: red dashed 0.3vw;
        background-color: white;
        text-align: left;
        padding: 1vw;
        -webkit-user-select: text;
        -khtml-user-select: text;
        -moz-user-select: text;
        -ms-user-select: text;
        -o-user-select: text;
        user-select: text;
        overflow-wrap: break-word;
        hyphens: manual;
    }
}